ZHA failing to initialise after update from host

Hello,

I once updated my UnRaid host pc and now my Conbee II Zigbee stick is failing to initialize.
a USB Serial adapter is recognized by home assistant so the vm is forwarding usb signals.
Here are the logs:
Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:172
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 19:49:03 (3 occurrences)
Last logged: 19:49:09

Couldn't start deCONZ = dresden elektronik deCONZ protocol: ConBee I/II, RaspBee I/II coordinator (attempt 1 of 3)
Couldn't start deCONZ = dresden elektronik deCONZ protocol: ConBee I/II, RaspBee I/II coordinator (attempt 2 of 3)
Couldn't start deCONZ = dresden elektronik deCONZ protocol: ConBee I/II, RaspBee I/II coordinator (attempt 3 of 3)
Traceback (most recent call last):
  File "/usr/local/lib/python3.10/site-packages/serial/serialposix.py", line 322, in open
    self.fd = os.open(self.portstr, os.O_RDWR | os.O_NOCTTY | os.O_NONBLOCK)
FileNotFoundError: [Errno 2] No such file or directory: '/dev/serial/by-id/usb-dresden_elektronik_ingenieurtechnik_GmbH_ConBee_II_DE2482638-if00'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 172, in async_initialize
    self.application_controller = await app_controller_cls.new(
  File "/usr/local/lib/python3.10/site-packages/zigpy/application.py", line 151, in new
    await app.startup(auto_form=auto_form)
  File "/usr/local/lib/python3.10/site-packages/zigpy/application.py", line 131, in startup
    await self.connect()
  File "/usr/local/lib/python3.10/site-packages/zigpy_deconz/zigbee/application.py", line 80, in connect
    await api.connect()
  File "/usr/local/lib/python3.10/site-packages/zigpy_deconz/api.py", line 275, in connect
    self._uart = await zigpy_deconz.uart.connect(self._config, self)
  File "/usr/local/lib/python3.10/site-packages/zigpy_deconz/uart.py", line 134, in connect
    _, protocol = await zigpy.serial.create_serial_connection(
  File "/usr/local/lib/python3.10/site-packages/zigpy/serial.py", line 40, in create_serial_connection
    transport, protocol = await pyserial_asyncio.create_serial_connection(
  File "/usr/local/lib/python3.10/site-packages/serial_asyncio/__init__.py", line 448, in create_serial_connection
    serial_instance = serial.serial_for_url(*args, **kwargs)
  File "/usr/local/lib/python3.10/site-packages/serial/__init__.py", line 90, in serial_for_url
    instance.open()
  File "/usr/local/lib/python3.10/site-packages/serial/serialposix.py", line 325, in open
    raise SerialException(msg.errno, "could not open port {}: {}".format(self._port, msg))
serial.serialutil.SerialException: [Errno 2] could not open port /dev/serial/by-id/usb-dresden_elektronik_ingenieurtechnik_GmbH_ConBee_II_DE2482638-if00: [Errno 2] No such file or directory: '/dev/serial/by-id/usb-dresden_elektronik_ingenieurtechnik_GmbH_ConBee_II_DE2482638-if00'

The usb stick also doesn’t show up in the “all hardware” section.
I’ve tried restarting home assistant, the vm and unraid.

It had worked for a very long time before all this.

Thanks!

Have you made any other hardware changes (USB devices for example) since it last worked ?
Not sure what VM you are using, but you’ve specifically checked that the device is enabled from the VM settings?

If it doesn’t show up in All Hardware, it might be stuck in a boot loop or just not booting correctly.

One thing I’ve read can help is reflashing the stick, even if you already have the latest firmware. But first, try putting it into a computer separate to your host PC and check out the state of the stick using deCONZ software: ConBee II Installation (phoscon.de)

I use UnRaid and I think that uses VirtualBox. It’s checked and other USB devices get forwarded.

I did and it worked, I tried connecting a sensor and it read the values.

Sometimes it does show up. But then when I try to start ZHA I get this error.

Logger: homeassistant.config_entries
Source: components/zha/core/gateway.py:174 
First occurred: 13:23:43 (1 occurrences) 
Last logged: 13:23:43

Error setting up entry Zigbee for zha
Traceback (most recent call last):
  File "/usr/local/lib/python3.10/asyncio/tasks.py", line 456, in wait_for
    return fut.result()
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 382, in async_setup
    result = await component.async_setup_entry(hass, self)
  File "/usr/src/homeassistant/homeassistant/components/zha/__init__.py", line 111, in async_setup_entry
    await zha_gateway.async_initialize()
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 189, in async_initialize
    raise exc
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 174, in async_initialize
    self.application_controller = await app_controller_cls.new(
  File "/usr/local/lib/python3.10/site-packages/zigpy/application.py", line 169, in new
    await app.startup(auto_form=auto_form)
  File "/usr/local/lib/python3.10/site-packages/zigpy/application.py", line 145, in startup
    await self.connect()
  File "/usr/local/lib/python3.10/site-packages/zigpy_deconz/zigbee/application.py", line 81, in connect
    self.version = await api.version()
  File "/usr/local/lib/python3.10/site-packages/zigpy_deconz/api.py", line 457, in version
    (self._proto_ver,) = await self.read_parameter(
  File "/usr/local/lib/python3.10/site-packages/zigpy_deconz/api.py", line 422, in read_parameter
    r = await self._command(Command.read_parameter, 1 + len(data), param, data)
  File "/usr/local/lib/python3.10/site-packages/zigpy_deconz/api.py", line 306, in _command
    return await asyncio.wait_for(fut, timeout=COMMAND_TIMEOUT)
  File "/usr/local/lib/python3.10/asyncio/tasks.py", line 458, in wait_for
    raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError